Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805752 - Review Request: jetbrains-mono-fonts - A monospace font family containing coding ligatures
Summary: Review Request: jetbrains-mono-fonts - A monospace font family containing cod...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 13:37 UTC by Nicolas Mailhot
Modified: 2020-02-26 19:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-26 19:08:20 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 13:37:20 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240850-jetbrains-mono-fonts/jetbrains-mono-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240850-jetbrains-mono-fonts/jetbrains-mono-fonts-1.0.3-1.fc33.src.rpm

Description:
JetBrains Mono is a developer-oriented font family.

Its forms are simple and free from unnecessary details. Rendered in small
sizes, the text looks crisper. The easier the forms, the faster the eye
perceives them and the less effort the brain needs to process them.

The shape of ovals approaches that of rectangular symbols. This makes the whole
pattern of the text more clear-сut. The outer sides of ovals ensure there are
no additional obstacles for your eyes as they scan the text vertically.

Characters remain standard in width, but the height of the lowercase is
maximized. This approach keeps code lines to the length that developers expect,
and it helps improve rendering since each letter occupies more pixels.

JetBrains Mono uses a 9° italic angle; this maintains the optimal contrast to
minimize distraction and eye strain. The usual angle is about 11°–12°.

The inclusion of coding ligatures will enhance source code rendering at the
expense of everything else.

Fedora Account System Username: nim



The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 1 Parag AN(पराग) 2020-02-26 09:16:29 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: jetbrains-mono-fonts-1.0.3-1.fc33.noarch.rpm
          jetbrains-mono-fonts-1.0.3-1.fc33.src.rpm
jetbrains-mono-fonts.noarch: W: spelling-error Summary(en_US) monospace -> mono space, mono-space, aerospace
jetbrains-mono-fonts.noarch: W: spelling-error %description -l en_US сut
jetbrains-mono-fonts.noarch: W: incoherent-version-in-changelog 1.03-1 ['1.0.3-1.fc33', '1.0.3-1']
jetbrains-mono-fonts.src: W: spelling-error Summary(en_US) monospace -> mono space, mono-space, aerospace
jetbrains-mono-fonts.src: W: spelling-error %description -l en_US сut
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Source checksums
----------------
https://github.com/JetBrains/JetBrainsMono/archive/v1.0.3/JetBrainsMono-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 24b423336d702e209a7181873300f855078d2c47e1a519c63ce57755ea7569ea
  CHECKSUM(SHA256) upstream package : 24b423336d702e209a7181873300f855078d2c47e1a519c63ce57755ea7569ea


Requires
--------
jetbrains-mono-fonts (rpmlib, GLIBC filtered):
    config(jetbrains-mono-fonts)
    fontpackages-filesystem



Provides
--------
jetbrains-mono-fonts:
    config(jetbrains-mono-fonts)
    font(jetbrainsmono)
    font(jetbrainsmonoextrabold)
    font(jetbrainsmonomedium)
    jetbrains-mono-fonts
    metainfo()
    metainfo(org.fedoraproject.jetbrains-mono-fonts.metainfo.xml)



All other things like license, config, metainfo files looks good.

Issues:
1) Fix the rpmlint warnings/errors before import of this package
2) I looked for %license in this package spec but cannot find it. Shouldn't we need to mark some file say OFL.txt as %license?
I see in other packages when you create -doc subpackage %license gets marked automatically.

APPROVED.

Comment 3 Nicolas Mailhot 2020-02-26 18:27:27 UTC
2) I looked for %license in this package spec but cannot find it. 

%global fontlicenses 

adds the corresponding files to font subpackages as %license

%global fontlicenses      LICENSE

→

$ less /srv/rpm/fonts-rpm-macros/jetbrains-mono-fonts-1.0.3-1.1.fc33.noarch.rpm  | grep license
drwxr-xr-x    2 root     root                        0 févr. 22 19:32 /usr/share/licenses/jetbrains-mono-fonts
-rw-r--r--    1 root     root                    11357 févr.  7 13:32 /usr/share/licenses/jetbrains-mono-fonts/LICENSE

Comment 4 Gwyn Ciesla 2020-02-26 18:52:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/jetbrains-mono-fonts

Comment 5 Nicolas Mailhot 2020-02-26 19:08:20 UTC
Built for F32 (update) and F33

Thanks Parag and Gwyn


Note You need to log in before you can comment on or make changes to this bug.